Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.acl
Class User

    java.lang.Object
      |
      +--java.security.Identity
            |
            +--weblogic.security.acl.User

Direct Known Subclasses:
  DefaultUserImpl, Everyone, GroupImpl

Deprecated. Deprecated in WebLogic Server 7.0. Replaced by the rules-based Authorization Provider in the Pluggable Security Infrastructure.

public class User
extends java.security.Identity

Users are created or retrieved through some realm. That realm knows how to check credentials coming from a RealmProxy.

Author:
  Copyright (c) 1997-1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`User()` Deprecated.
`User(java.lang.String name)` Deprecated.
`User(java.lang.String name, boolean r)` Deprecated.

Method Summary
`java.lang.Object` | `getCredential(java.lang.Object ownerCredential)` Deprecated. Returns a User's credential, if the ownerCredential is accepted by the realm, or null otherwise.
`BasicRealm` | `getRealm()` Deprecated. Gets the realm associated with a User.
`protected boolean` | `identityEquals(java.security.Identity other)` Deprecated.
`java.lang.String` | `toString()` Deprecated.

Methods inherited from class java.security.Identity
`addCertificate, certificates, equals, getInfo, getName, getPublicKey, getScope, hashCode, removeCertificate, setInfo, setPublicKey, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### User

    public User()

  Deprecated.

### User

    public User(java.lang.String name)

  Deprecated.

### User

    public User(java.lang.String name,
                boolean r)

  Deprecated.

Method Detail

### getRealm

    public BasicRealm getRealm()

  Deprecated.
  Gets the realm associated with a User.

  Returns:
    BasicRealm

### getCredential

    public java.lang.Object getCredential(java.lang.Object ownerCredential)

  Deprecated.
  Returns a User's credential, if the ownerCredential is accepted by the realm, or null otherwise. A credential may be an X509 certificate, a certificate token, password, or other authentication object. Only an owner has access to credentials of its Realm's users.

  Parameters:
    `ownerCredential` - Credential of an owner
  Returns:
    Credential of this user

### identityEquals

    protected boolean identityEquals(java.security.Identity other)

  Deprecated.

  Overrides:
    identityEquals in class java.security.Identity

### toString

    public java.lang.String toString()

  Deprecated.

  Overrides:
    toString in class java.security.Identity

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference